Subject: Re: [xfs-masters] linux-next: manual merge of the xfs tree with Linus' tree

From: Christoph Hellwig <[email-masked]>
Date: Mon, 28 Mar 2011 13:00:40 +0200

On Mon, Mar 28, 2011 at 12:58:09PM +0200, Jens Axboe wrote:
> Yes, in fact all of the blk_flush_plug() calls in XFS can just go away
> now. I tried to keep them for clarity, but they are primarily there
> since XFS was the first conversion/testing I did back when it was hacked
> up.

It seems like the xfsbufd can go away, too indeed.  If we have more
work to do it makes sense not to plug, and if we don't have more
work we are going to sleep.

I think the one in xfs_flush_buftarg actually does make sense to
keep - we really want to flush out all pending I/O before waiting for
it.  But I guess for both of these we just want to add an explicit
plug/unlug pair to optimize the I/O dispatch.